# $Revision: 1.12 $, $Date: 2008-06-08 09:54:26 $
%define		ver	%(echo %{version} | tr . -)
Summary:	JW Media Player
Summary(pl.UTF-8):	Odtwarzacz JW Media
Name:		jw_media_player
Version:	3.16
Release:	1
Epoch:		1
License:	Creative Commons
Group:		Applications/WWW
Source0:	http://www.jeroenwijering.com/upload/mediaplayer-%{ver}.zip
# Source0-md5:	ad0f15198fcdbabe453fe94e193a8764
Source1:	%{name}-lighttpd.conf
URL:		http://www.jeroenwijering.com/?item=JW_Media_Player
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	webapps
Requires:	webserver(alias)
Obsoletes:	flash_media_player
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir	%{_datadir}/%{_webapp}

%description
The JW Media Player (built with Adobe's Flash) supports playback of a
single media file of any format the Adobe Flash Player can handle
(MP3, FLV, SWF, JPG, PNG and GIF). It also supports RSS, XSPF and ATOM
playlist (with mixed mediatypes and advertisement possibilities), a
wide range of flashvars (settings) for tweaking both behavior and
appearance and an extensive, documented JavaScript/ActionScript API.

%description -l pl.UTF-8
JW Media Player (zbudowany z Flashem Adobe) potrafi odtwarzać pliki
multimedialne dowolnego typu obsługiwanego przez Adobe Flash Player
(MP3, FLV, SWF, JPG, PNG i GIF). Obsługuje także playlisty
RSS/XSPF/ATOM (z mieszanymi typami mediów), szeroki zakres ustawień do
modyfikowania zarówno zachowania jak i wyglądu oraz obszerne,
udokumentowane API JavaScriptu/ActionScriptu.

%prep
%setup -q -n mediaplayer-%{ver}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}
cp -a mediaplayer.swf $RPM_BUILD_ROOT%{_appdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%dir %{_appdir}
%{_appdir}/mediaplayer.swf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jw_media_player.spec,v $
Revision 1.12  2008-06-08 09:54:26  glen
- 3.16

Revision 1.11  2007/09/05 12:55:49  glen
- updated to 3.11 (NOTE: 3.99 was renamed to 3.10)

Revision 1.10  2007/08/03 23:13:26  qboosh
- updated pl, unified caps

Revision 1.9  2007/07/25 14:33:48  glen
- rel 1

Revision 1.8  2007/07/23 19:02:23  qboosh
- unified

Revision 1.7  2007/07/23 12:02:40  glen
- properly install lighttpd.conf

Revision 1.6  2007/07/23 12:00:36  glen
- add lighttpd config

Revision 1.5  2007/07/23 11:55:43  glen
- missing dir

Revision 1.4  2007/07/23 09:13:38  glen
- 3.99, renamed to jw_media_player, updated description

Revision 1.3  2007/06/17 14:45:09  glen
- update to 3.9

Revision 1.2  2007/05/25 20:31:54  qboosh
- pl

Revision 1.1  2007/05/23 10:49:42  glen
- new, NFY
